USB scanning and printing broken on focal by ippusbxd (was: hpmud and ippusbxd conflict)

Bug #1871011 reported by Daniel Rodriguez
128
This bug affects 35 people
Affects Status Importance Assigned to Milestone
HPLIP
Invalid
Undecided
Unassigned
hplip (Ubuntu)
Expired
Undecided
Unassigned
ippusbxd (Ubuntu)
Confirmed
Undecided
Unassigned

Bug Description

SOLUTION : sudo apt remove ippusbxd

---- Initial report -----

On Ubuntu 20.04 focal (with -proposed enabled). HPLIP=3.20.3.

Previously there was a libmtp (udev) bug erroneously detecting HP printers as mtp devices. This was fixed. Now, I can try to scan-- from both simple-scan and hp-scan, hplip errors out:

Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/2: Device or resource busy
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=1, index=3
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/4: Device or resource busy
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=3, altset=0, index=9
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=3 ret=0
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/4/1: Device or resource busy
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=11
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/cc/0: Device or resource busy

Printer/scanner is an Officejet 4635. Scanning previously worked just fine a few months ago. Regression?

summary: - Scanning does not work
+ Scanning does not work on focal
Revision history for this message
Daniel Rodriguez (newhacker1746) wrote : Re: Scanning does not work on focal

UPDATE: *found the problem*.

----------------------------------------------------------------------
[17588.183580] usb 2-1.3: new high-speed USB device number 5 using ehci-pci
[17588.216712] usb 2-1.3: New USB device found, idVendor=03f0, idProduct=c611, bcdDevice= 1.00
[17588.216717] usb 2-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[17588.216720] usb 2-1.3: Product: Officejet 4630 series
[17588.216722] usb 2-1.3: Manufacturer: HP
[17588.216724] usb 2-1.3: SerialNumber: CN539571JP05Y0
[17589.319216] usblp 2-1.3:1.1: usblp1: USB Bidirectional printer dev 5 if 1 alt 0 proto 2 vid 0x03F0 pid 0xC611
[17589.319806] usblp 2-1.3:1.2: usblp2: USB Bidirectional printer dev 5 if 2 alt 0 proto 2 vid 0x03F0 pid 0xC611
[17589.319857] usbcore: registered new interface driver usblp
[17589.515543] usb 2-1.3: usbfs: process 28902 (ippusbxd) did not claim interface 0 before use
[17589.516122] usblp1: removed
[17589.516494] usblp2: removed
-------------------------------------------------------------------------------

Upon plugging in the printer, there is a conflict between hpmud and ippusbxd (enabled by default?). ippusbxd wins, and thus claims the usb interface... blocking hpmud from working.

All I had to do to get scanning working again was `systemctl stop ippusbxd@(bus):(device)` and everything works again.

How can this be fixed?

summary: - Scanning does not work on focal
+ Scanning broken on focal --> hpmud and ippusbxd conflict
summary: - Scanning broken on focal --> hpmud and ippusbxd conflict
+ USB scanning broken on focal --> hpmud and ippusbxd conflict
Revision history for this message
Till Kamppeter (till-kamppeter) wrote : Re: USB scanning broken on focal --> hpmud and ippusbxd conflict

Your printer got grabbed by ippusbxd because it supports the modern, driverless approach. HPLIP is not required for it any more. The printer should work with the "escl" SANE backend of SANE 1.0.29.

Please make sure your Focal system is completely updated.

If so, please enter the following commands and post the output here:

dpkg -l | grep sane

scanimage -L

Changed in hplip:
status: New → Invalid
Changed in hplip (Ubuntu):
status: New → Incomplete
Revision history for this message
Bartosz Kosiorek (gang65) wrote :

I have the similar issues with USB detection after upgrade to Ubuntu 20.04 on my scanners (HP Laser MFP 135a - smfp backend and HP OfficeJet 4630 - hpaio backend).
WIth

The hpaio scanner is detected on USB, but it is not able to communicate (xsane, scanimage, simple-scan). Only scanning by network is working correctly.

With HP Laser MFP 135a - smfp, it is not able to detect it on usb port.

I would like to investigate this issue further.
How did you enabled logs to investigate this issue?

Revision history for this message
Robert Dinse (nanook) wrote : Re: [Bug 1871011] Re: USB scanning broken on focal --> hpmud and ippusbxd conflict
Download full text (3.3 KiB)

      I did not do anything special, I just grep'd the syslog it was there.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Tue, 21 Apr 2020, Bartosz Kosiorek wrote:

> Date: Tue, 21 Apr 2020 10:27:24 -0000
> From: Bartosz Kosiorek <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1871011] Re: USB scanning broken on focal --> hpmud and ippusbxd
> conflict
>
> I have the similar issues with USB detection after upgrade to Ubuntu 20.04 on my scanners (HP Laser MFP 135a - smfp backend and HP OfficeJet 4630 - hpaio backend).
> WIth
>
> The hpaio scanner is detected on USB, but it is not able to communicate
> (xsane, scanimage, simple-scan). Only scanning by network is working
> correctly.
>
> With HP Laser MFP 135a - smfp, it is not able to detect it on usb port.
>
> I would like to investigate this issue further.
> How did you enabled logs to investigate this issue?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1873748).
> https://bugs.launchpad.net/bugs/1871011
>
> Title:
> USB scanning broken on focal --> hpmud and ippusbxd conflict
>
> Status in HPLIP:
> Invalid
> Status in hplip package in Ubuntu:
> Incomplete
>
> Bug description:
> On Ubuntu 20.04 focal (with -proposed enabled). HPLIP=3.20.3.
>
> Previously there was a libmtp (udev) bug erroneously detecting HP
> printers as mtp devices. This was fixed. Now, I can try to scan-- from
> both simple-scan and hp-scan, hplip errors out:
>
>
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/2: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=1, index=3
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/4: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=3, altset=0, index=9
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=3 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/4/1: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=11
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/cc/0: Device or resource busy
>...

Read more...

Revision history for this message
Launchpad Janitor (janitor) wrote : Re: USB scanning broken on focal --> hpmud and ippusbxd conflict

[Expired for hplip (Ubuntu) because there has been no activity for 60 days.]

Changed in hplip (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Yvan Masson (yvan-masson) wrote :

Same issue here with an OffieJet 5232. Unfortunately running systemctl to disable and stop ippusbxd@(bus):(device) is not working for me. Any help would be greatly appreciated.

Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

Please uninstall ippusbxd. Then your device should work with HPLIP normally. ippusbxd wa supposed to allow driverless printing and scanning without HPLIP. Unfortunately there were problems in its design.

In Groovy we will replace ippusbxd by ipp-usb which finally allows driverless printing and scanning without HPLIP to work reliably.

See bug 1891157.

Revision history for this message
Robert Dinse (nanook) wrote : Re: [Bug 1871011] Re: USB scanning broken on focal --> hpmud and ippusbxd conflict
Download full text (3.3 KiB)

      I did that before getting this e-mail. Actually I deleted EVERYTHING
relating to printing and scanning and installed hplip and other packages one
at a time until things worked again.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Thu, 27 Aug 2020, Till Kamppeter wrote:

> Date: Thu, 27 Aug 2020 14:20:41 -0000
> From: Till Kamppeter <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1871011] Re: USB scanning broken on focal --> hpmud and ippusbxd
> conflict
>
> Please uninstall ippusbxd. Then your device should work with HPLIP
> normally. ippusbxd wa supposed to allow driverless printing and scanning
> without HPLIP. Unfortunately there were problems in its design.
>
> In Groovy we will replace ippusbxd by ipp-usb which finally allows
> driverless printing and scanning without HPLIP to work reliably.
>
> See bug 1891157.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1873748).
> https://bugs.launchpad.net/bugs/1871011
>
> Title:
> USB scanning broken on focal --> hpmud and ippusbxd conflict
>
> Status in HPLIP:
> Invalid
> Status in hplip package in Ubuntu:
> Expired
>
> Bug description:
> On Ubuntu 20.04 focal (with -proposed enabled). HPLIP=3.20.3.
>
> Previously there was a libmtp (udev) bug erroneously detecting HP
> printers as mtp devices. This was fixed. Now, I can try to scan-- from
> both simple-scan and hp-scan, hplip errors out:
>
>
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/2: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=1, index=3
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/4: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=3, altset=0, index=9
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=3 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/4/1: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=11
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/cc/0: Device or resource busy
>
> Printer/scanner is an Officejet 463...

Read more...

Revision history for this message
Henrik R. (henrik-roseno) wrote : Re: USB scanning broken on focal --> hpmud and ippusbxd conflict

I cannot scan with Document Scanner on Ubuntu 20.04.1 with my HP Color LaserJet CM2320fxi MFP. It worked fine on Ubuntu 18.04.
I get the error "Failed to scan. Unable to connect to scanner".
Then I tried uninstalling ippusbxd using Synaptic Package Manager, disconnecting the printers from USB, deleting the printers in Settings -> Printers and then reconnect the USB and reinstall the printers. But scan still doesn't work.

Revision history for this message
Henrik R. (henrik-roseno) wrote :

I can add that after reinstalling the printer I tried the 2 Terminal commands mentioned above in comment #2:

henrik@henrik-thinkpad-20-04:~$ dpkg -l | grep sane
ii libsane:amd64 1.0.29-0ubuntu5.2 amd64 API library for scanners
ii libsane-common 1.0.29-0ubuntu5.2 all API library for scanners -- documentation and support files
ii libsane-hpaio:amd64 3.20.3+dfsg0-2 amd64 HP SANE backend for multi-function peripherals
ii sane-utils 1.0.29-0ubuntu5.2 amd64 API library for scanners -- utilities
henrik@henrik-thinkpad-20-04:~$ scanimage -L
device `hpaio:/usb/HP_Color_LaserJet_CM2320fxi_MFP?serial=00CNFTB4LHTH' is a Hewlett-Packard HP_Color_LaserJet_CM2320fxi_MFP all-in-one
henrik@henrik-thinkpad-20-04:~$

Revision history for this message
Mario Vukelic (kreuzsakra) wrote :

The ippusbxd grabbing the printer/scanner does not seem to be limited to HP, I had same with Canon LiDE 300 scanner and other scanners mentioned here: https://forums.linuxmint.com/viewtopic.php?f=51&t=329760

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ippusbxd (Ubuntu):
status: New → Confirmed
summary: - USB scanning broken on focal --> hpmud and ippusbxd conflict
+ USB scanning broken on focal by ippusbxd (was: hpmud and ippusbxd
+ conflict)
Revision history for this message
Vincent Gerris (vgerris) wrote : Re: USB scanning broken on focal by ippusbxd (was: hpmud and ippusbxd conflict)

I seem to have a similar issue with my HP ENVY 5544.
After removing ippusbxd and stopping the related service, my printer still does not print.
Dmesg shows this every time I press the test page button in either HP tools or Printers (GNOME GUI):

usblp1: removed

So it seems the device is removed everytime it gets a command.
The print job ends up in the queue but never gets processed, also not after reconnect.

Revision history for this message
Vincent Gerris (vgerris) wrote :

update: when I shut down the printer with the usb cable connected and then start it again it works.

Revision history for this message
Lorenzo Novara (lornova) wrote :

On a fully updated Ubuntu 20.04.3 LTS with kernel 5.11.0-37-generic #41~20.04.2-Ubuntu I'm experiencing the same issue with my HP OfficeJet 4657.

[40248.522045] usb 1-9.4: new high-speed USB device number 17 using xhci_hcd
[40248.652858] usb 1-9.4: New USB device found, idVendor=03f0, idProduct=d911, bcdDevice= 1.00
[40248.652864] usb 1-9.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[40248.652866] usb 1-9.4: Product: OfficeJet 4650 series
[40248.652868] usb 1-9.4: Manufacturer: HP
[40248.652870] usb 1-9.4: SerialNumber: TH76F4918Q0662
[40248.726281] usblp 1-9.4:1.1: usblp5: USB Bidirectional printer dev 17 if 1 alt 0 proto 2 vid 0x03F0 pid 0xD911
[40248.920575] usb 1-9.4: usbfs: process 75785 (ippusbxd) did not claim interface 0 before use
[40248.944349] usblp5: removed

The workaround has been to remove IPPUSBXD:

sudo apt remove ippusbxd

Now I can scan again.

Revision history for this message
Michel-Ekimia (michel.ekimia) wrote :

We had several clients with HP printers that faced this problem.

This should really be fixed on LTS 20.04 as there is no simple workaround for the user

If ippusbxd is non functionnal I guess it should be removed on next 20.04.4

summary: - USB scanning broken on focal by ippusbxd (was: hpmud and ippusbxd
- conflict)
+ USB scanning and printing broken on focal by ippusbxd (was: hpmud and
+ ippusbxd conflict)
description: updated
Revision history for this message
Robert Dinse (nanook) wrote : Re: [Bug 1871011] Re: USB scanning broken on focal by ippusbxd (was: hpmud and ippusbxd conflict)
Download full text (5.4 KiB)

      For what it's worth it's STILL broken on 21.04, but I fixed by grabbing
hplip from HP's website and installing via the provided shell script instead
of the broken version shipped with Ubuntu.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Wed, 5 Jan 2022, Michel-Ekimia wrote:

> Date: Wed, 05 Jan 2022 16:02:22 -0000
> From: Michel-Ekimia <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1871011] Re: USB scanning broken on focal by ippusbxd (was:
> hpmud and ippusbxd conflict)
>
> We had several clients with HP printers that faced this problem.
>
> This should really be fixed on LTS 20.04 as there is no simple
> workaround for the user
>
> If ippusbxd is non functionnal I guess it should be removed on next
> 20.04.4
>
> ** Summary changed:
>
> - USB scanning broken on focal by ippusbxd (was: hpmud and ippusbxd conflict)
> + USB scanning and printing broken on focal by ippusbxd (was: hpmud and ippusbxd conflict)
>
> ** Description changed:
>
> + SOLUTION : sudo apt remove ippusbxd
> +
> + ---- Initial report -----
> +
> On Ubuntu 20.04 focal (with -proposed enabled). HPLIP=3.20.3.
>
> Previously there was a libmtp (udev) bug erroneously detecting HP
> printers as mtp devices. This was fixed. Now, I can try to scan-- from
> both simple-scan and hp-scan, hplip errors out:
> -
>
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/2: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=1, index=3
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/4: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=3, altset=0, index=9
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=3 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/4/1: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=11
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/cc/0: Device or resource busy
>
> Printer/scanner is an Officejet 4635. Scanning previously worked just
> fine a few months ago. Regression?
>
> --
> You received this bug notification because yo...

Read more...

Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

As ippusbxd by itself is broken, meaning that it even does not work very well with the devices it is actually designed for, I am also in favor of removing it from all still supported Ubuntu versions (especially LTS). Then it does not block devices which could otherwise work better.

To the users whose device needed ippusbxd we should tell to install the ipp-usb Snap then, at it does the task of supporting IPP-over-USB devices correctly and to their full extent.

ipp-usb Snap:

https://snapcraft.io/ipp-usb

ippusbxd replacement by ipp-usb:

https://github.com/OpenPrinting/ippusbxd#before-you-begin-ippusbxd-or-ipp-usb

Revision history for this message
Robert Dinse (nanook) wrote : Re: [Bug 1871011] Re: USB scanning and printing broken on focal by ippusbxd (was: hpmud and ippusbxd conflict)
Download full text (3.7 KiB)

      Why not just distribute the working version? The problem with snaps
is they screw the functionality of shared libraries wasting memory.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Wed, 5 Jan 2022, Till Kamppeter wrote:

> Date: Wed, 05 Jan 2022 22:31:56 -0000
> From: Till Kamppeter <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1871011] Re: USB scanning and printing broken on focal by
> ippusbxd (was: hpmud and ippusbxd conflict)
>
> As ippusbxd by itself is broken, meaning that it even does not work very
> well with the devices it is actually designed for, I am also in favor of
> removing it from all still supported Ubuntu versions (especially LTS).
> Then it does not block devices which could otherwise work better.
>
> To the users whose device needed ippusbxd we should tell to install the
> ipp-usb Snap then, at it does the task of supporting IPP-over-USB
> devices correctly and to their full extent.
>
> ipp-usb Snap:
>
> https://snapcraft.io/ipp-usb
>
> ippusbxd replacement by ipp-usb:
>
> https://github.com/OpenPrinting/ippusbxd#before-you-begin-ippusbxd-or-
> ipp-usb
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1873748).
> https://bugs.launchpad.net/bugs/1871011
>
> Title:
> USB scanning and printing broken on focal by ippusbxd (was: hpmud and
> ippusbxd conflict)
>
> Status in HPLIP:
> Invalid
> Status in hplip package in Ubuntu:
> Expired
> Status in ippusbxd package in Ubuntu:
> Confirmed
>
> Bug description:
> SOLUTION : sudo apt remove ippusbxd
>
> ---- Initial report -----
>
> On Ubuntu 20.04 focal (with -proposed enabled). HPLIP=3.20.3.
>
> Previously there was a libmtp (udev) bug erroneously detecting HP
> printers as mtp devices. This was fixed. Now, I can try to scan-- from
> both simple-scan and hp-scan, hplip errors out:
>
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/2: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=1, index=3
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/4: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=3, altset=0, index=9
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=3 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/4/1: Device ...

Read more...

Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

The problem is that we cannot add a new package to an already released Ubuntu. A SRU (Stable Release Update) can only be bug fixes on already included packages, no new feature releases of them, nor completely new packages.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@Till: Would using the backports pocket be possible? If you backport a package to a release where it doesn't exist in the -release pocket, it effectively works as an SRU.

Revision history for this message
Robert Dinse (nanook) wrote :

      Well, I will just live with installing the package from HP
directly then, I don't like snaps, I disable them on my systems.

On 1/5/22 15:36, Till Kamppeter wrote:
> The problem is that we cannot add a new package to an already released
> Ubuntu. A SRU (Stable Release Update) can only be bug fixes on already
> included packages, no new feature releases of them, nor completely new
> packages.
>

Revision history for this message
Michel-Ekimia (michel.ekimia) wrote :

@Robert : you misunderstood , the problem is not the version of the HPLIP , but the conflict with ippusbxd on USB device claiming.

Auto configure usb printers is nice but we can live on 20.04 without it.

Revision history for this message
Robert Dinse (nanook) wrote :
Download full text (3.3 KiB)

      Ok, well I do not understand, I just know my HP printer stopped working
when I upgraded to 21.04, and installing hplip from HP directly made it work
again.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Thu, 6 Jan 2022, Michel-Ekimia wrote:

> Date: Thu, 06 Jan 2022 08:13:20 -0000
> From: Michel-Ekimia <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1871011] Re: USB scanning and printing broken on focal by
> ippusbxd (was: hpmud and ippusbxd conflict)
>
> @Robert : you misunderstood , the problem is not the version of the
> HPLIP , but the conflict with ippusbxd on USB device claiming.
>
> Auto configure usb printers is nice but we can live on 20.04 without it.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1873748).
> https://bugs.launchpad.net/bugs/1871011
>
> Title:
> USB scanning and printing broken on focal by ippusbxd (was: hpmud and
> ippusbxd conflict)
>
> Status in HPLIP:
> Invalid
> Status in hplip package in Ubuntu:
> Expired
> Status in ippusbxd package in Ubuntu:
> Confirmed
>
> Bug description:
> SOLUTION : sudo apt remove ippusbxd
>
> ---- Initial report -----
>
> On Ubuntu 20.04 focal (with -proposed enabled). HPLIP=3.20.3.
>
> Previously there was a libmtp (udev) bug erroneously detecting HP
> printers as mtp devices. This was fixed. Now, I can try to scan-- from
> both simple-scan and hp-scan, hplip errors out:
>
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/2: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=1, index=3
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface 7/1/4: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=3, altset=0, index=9
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=3 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/4/1: Device or resource busy
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=11
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
> Apr 05 21:27:37 dani-mbp15 simple-scan[3464]: io/hpmud/musb.c 515: invalid claim_interface ff/cc/0: Device or resource busy
>
> Printer/scanner is an Officejet 4635. Scan...

Read more...

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers